> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nmbr.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk update deduction line items



## OpenAPI

````yaml /spec/openapi.json post /deduction_line_items/bulk/update
openapi: 3.0.0
info:
  title: Nmbr API
  description: API to interact with Nmbr Payroll
  version: 1.0.0
servers:
  - url: https://sandbox.nmbr.co/services/payroll
security:
  - CompanyToken: []
tags:
  - name: Accounting Codes
  - name: Accounting Code Rules
  - name: Adjustments
  - name: Allowances
  - name: Allowance Line Items
  - name: Allowance Types
  - name: Async Tasks
  - name: Bank Accounts
  - name: Business Entities
  - name: Business Entity Verifications
  - name: Business Entity ROE Authorizations
  - name: Business Presets
  - name: Calculations
  - name: Companies
  - name: Contractors
  - name: Deductions
  - name: Deduction Line Items
  - name: Deduction Types
  - name: Earnings
  - name: Earning Line Items
  - name: Earning Types
  - name: Effective Tax Properties
  - name: Employees
  - name: Employee Benefits
  - name: Employee Benefit Line Items
  - name: Employee Benefit Types
  - name: Employer Benefits
  - name: Employer Benefit Line Items
  - name: Employer Benefit Types
  - name: Employer Statutory Withholding Line Items
  - name: Employer Statutory Withholding Types
  - name: Forms
  - name: Form Batches
  - name: Form Types
  - name: Holidays
  - name: Integrations
  - name: Journal Entries
  - name: Overtime Rates
  - name: Partners
  - name: Pay Rates
  - name: Pay Schedules
  - name: Pay Splits
  - name: Pay Stubs
  - name: Payments
  - name: Payrolls
  - name: Reimbursements
  - name: Reimbursement Line Items
  - name: Reimbursement Types
  - name: Remittance Accounts
  - name: Remittance Account Enrollments
  - name: Reports
  - name: Statutory Withholding Line Items
  - name: Statutory Withholding Types
  - name: Tags
  - name: Tag Groups
  - name: Tax Properties
  - name: Tax Property Templates
  - name: Tokens
  - name: Usage Records
  - name: Usage Summaries
  - name: Vacation Pay
  - name: Vacation Pay Settings
  - name: Webhooks
  - name: Work Assignments
paths:
  /deduction_line_items/bulk/update:
    post:
      tags:
        - Deduction Line Items
      summary: Bulk update deduction line items
      operationId: deduction-line-items-bulk-update
      requestBody:
        content:
          application/json:
            schema:
              allOf:
                - type: object
                  properties:
                    payroll_id:
                      type: string
                    pay_stubs:
                      type: object
                      properties:
                        exclude:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                            payee_type:
                              type: string
                              enum:
                                - contractor
                                - employee
                            work_assignment_ids:
                              type: array
                              items:
                                type: string
                    has_business_preset:
                      type: boolean
                    business_presets:
                      type: object
                      properties:
                        include:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                                nullable: true
                        exclude:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                                nullable: true
                    expense_accounting_codes:
                      type: object
                      properties:
                        include:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                                nullable: true
                        exclude:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                                nullable: true
                    liability_accounting_codes:
                      type: object
                      properties:
                        include:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                                nullable: true
                        exclude:
                          type: object
                          properties:
                            ids:
                              type: array
                              items:
                                type: string
                                nullable: true
                    subtypes:
                      type: object
                      properties:
                        include:
                          type: array
                          items:
                            type: string
                        exclude:
                          type: array
                          items:
                            type: string
                    ids:
                      type: object
                      properties:
                        include:
                          type: array
                          items:
                            type: string
                        exclude:
                          type: array
                          items:
                            type: string
                - type: object
                  required:
                    - payroll_id
                    - pay_stubs
            example:
              payroll_id: <id>
              pay_stubs:
                include: all
      responses:
        '202':
          description: Accepted
components:
  securitySchemes:
    CompanyToken:
      type: http
      scheme: bearer

````